package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class DonationDeduct extends CoreBillBase implements IDonationDeduct
{
    public DonationDeduct()
    {
        super();
        registerInterface(IDonationDeduct.class, this);
    }
    public DonationDeduct(Context ctx)
    {
        super(ctx);
        registerInterface(IDonationDeduct.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("BEDF619E");
    }
    private DonationDeductController getController() throws BOSException
    {
        return (DonationDeductController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DonationDeductCollection getDonationDeductCollection() throws BOSException
    {
        try {
            return getController().getDonationDeductCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DonationDeductCollection getDonationDeductCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDonationDeductCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DonationDeductCollection getDonationDeductCollection(String oql) throws BOSException
    {
        try {
            return getController().getDonationDeductCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DonationDeductInfo getDonationDeductInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDonationDeductInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DonationDeductInfo getDonationDeductInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDonationDeductInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DonationDeductInfo getDonationDeductInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDonationDeductInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}